Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:26 2009

## Asterisk developer's documentation

# ast_call_feature Struct Reference

main call feature structure More...

`#include <features.h>`

## Public Member Functions

| AST_LIST_ENTRY (ast_call_feature) feature_entry

## Data Fields

char | app [FEATURE_APP_LEN]
char | app_args [FEATURE_APP_ARGS_LEN]
char | default_exten [FEATURE_MAX_LEN]
char | exten [FEATURE_MAX_LEN]
int | feature_mask
unsigned int | flags
char * | fname
int(* | operation )(struct ast_channel *chan, struct ast_channel *peer, struct ast_bridge_config *config, char *code, int sense)
char | sname [FEATURE_SNAME_LEN]

## Detailed Description

main call feature structure

Definition at line 34 of file features.h.

## Member Function Documentation

AST_LIST_ENTRY | ( | ast_call_feature |  | ) |

## Field Documentation

char app[FEATURE_APP_LEN]

Definition at line 42 of file features.h.

Referenced by feature_exec_app(), and load_config().

char app_args[FEATURE_APP_ARGS_LEN]

Definition at line 43 of file features.h.

Referenced by feature_exec_app(), and load_config().

char default_exten[FEATURE_MAX_LEN]

Definition at line 39 of file features.h.

Referenced by handle_showfeatures().

char exten[FEATURE_MAX_LEN]

Definition at line 38 of file features.h.

Referenced by ast_feature_interpret(), ast_feature_request_and_dial(), feature_exec_app(), handle_showfeatures(), and load_config().

int feature_mask

Definition at line 35 of file features.h.

Referenced by ast_feature_interpret(), and set_config_flags().

unsigned int flags

Definition at line 41 of file features.h.

char* fname

Definition at line 36 of file features.h.

Referenced by handle_showfeatures().

int(* operation)(struct ast_channel *chan, struct ast_channel *peer, struct ast_bridge_config *config, char *code, int sense)

Referenced by ast_feature_interpret(), and load_config().

char sname[FEATURE_SNAME_LEN]

Definition at line 37 of file features.h.

Referenced by ast_feature_interpret(), ast_register_feature(), find_feature(), handle_showfeatures(), and load_config().

The documentation for this struct was generated from the following file:

- features.h